using Femto.Common.Domain;

namespace Femto.Modules.Media.Application;

public interface IMediaModule
{
    Task<TResult> PostCommand<TResult>(ICommand<TResult> command, CancellationToken cancellationToken = default);
    Task<TResult> PostQuery<TResult>(IQuery<TResult> query, CancellationToken cancellationToken = default);
}